HomeGuidesAPI Reference
API Reference

Search Roles

Search & Retrieve Roles, ACCESS LEVEL: SUPER_ADMIN, PARTNER, MERCHANT, BRANCH

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint allows you to retrieve the details of multiple roles.

Endpoint

GET https://demo-api.edfapay.com/api/v1/roles/search


Authentication

All requests to this endpoint must include a valid X-API-KEY in the request header for authentication. The X-API-KEY must be sent from the server side and should not be exposed on the client side.

How to generate API key


Query Parameters

FieldTypeRequiredDescription
pageNumberIntegerOptionalThe page index, starting from 0.
pageSizeIntegerOptionalThe number of roles to return per page.
textStringOptionalA keyword used to filter roles.
🚧

If the pageNumber parameter is not provided, it defaults to 0.

If the pageSize parameter is not provided, it defaults to 10.


Example Request

curl --location 'https://demo-api.edfapay.com/api/v1/roles/search' \
--header 'X-API-KEY: YOUR_API_KEY'

Example Responses

{
    "code": 200,
    "message": "Success",
    "errorCode": null,
    "data": {
        "content": [
            {
            "code": 200,
            "message": "Success",
            "errorCode": null,
            "data": {
                "createdBy": null,
                "createdTimestamp": "2026-04-20T12:47:30.252128609Z",
                "updatedBy": null,
                "updatedTimestamp": "2026-04-20T12:47:30.252016969Z",
                "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                "name": "Users Viewer",
                "description": "Views the users list",
                "businessUnitId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
                "permissions": [
                    "USER_READ"
                ]
            }
        	}
        ],
        "number": 0,
        "size": 1,
        "totalElements": 1,
        "hasContent": true,
        "numberOfElements": 1,
        "totalPages": 1,
        "first": true,
        "last": true
    }
}
Query Params
pageProperties
object
required

Search Pageable

searchCriteria
object
required

Role Search Criteria

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
*/*